Update store details
Update details for a store. Partial updates are allowed.
Required permissions: STORE
put/tenants/{tenantUid}/stores/{storeUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
addressstringOptional
citystringOptional
countryCodestringOptional
defaultReturnWarehouseUidstringOptionalPattern:
^[A-Za-z0-9-_]*defaultWarehouseUidstringOptionalPattern:
^[A-Za-z0-9-_]*defaultDeliveryWarehouseUidstringOptionalPattern:
^[A-Za-z0-9-_]*emailstringOptional
externalIdstringOptional
isActivebooleanOptional
latitudenumberOptional
longitudenumberOptional
namestringOptional
phonestringOptional
postalCodestringOptional
purchaseNumberSeriesUidstringOptionalPattern:
^[A-Za-z0-9-_]*internalPurchaseNumberSeriesUidstringOptionalPattern:
^[A-Za-z0-9-_]*rmaOrderNumberSeriesUidstringOptionalPattern:
^[A-Za-z0-9-_]*customerLedgerNumberSeriesUidstringOptionalPattern:
^[A-Za-z0-9-_]*quicksaleCategoryUidstringOptionalPattern:
^[A-Za-z0-9-_]*receiptMessagestringOptional
emailReceiptMessagestringOptional
exchangenoteMessagestringOptional
exchangenoteValidDaysintegerOptional
Number of days an exchangenote is valid.
salesPriceUidstringOptionalPattern:
^[A-Za-z0-9-_]*purchasePriceListUidstringOptionalPattern:
^[A-Za-z0-9-_]*vatNumberstringOptional
VAT identification number for value added tax reporting purposes.
voucherNumberSeriesUidstringOptionalPattern:
^[A-Za-z0-9-_]*hasWorkshopbooleanOptional
organizationUidstringOptionalPattern:
^[A-Za-z0-9-_]*serviceNumberSeriesUidstringOptionalPattern:
^[A-Za-z0-9-_]*websiteUrlstringOptional
invoiceFooterTextstringOptional
labelComparisonPricelistUidstringOptionalPattern:
^[A-Za-z0-9-_]*enableStoreCashReconciliationbooleanOptional
cashReconciliationCutOffTimestring · timeOptional
Daily cut-off time (e.g. 4 AM). After this time, tills cannot open until the previous settlement is complete.
logoAssetUidstringOptionalPattern:
^[A-Za-z0-9-_]*Responses
201
Example response
application/json
addressstringRequired
citystringRequired
countryCodestringRequired
createdAtstring · date-timeRequired
defaultWarehouseUidstringRequiredPattern:
^[A-Za-z0-9-_]*defaultReturnWarehouseUidstringRequiredPattern:
^[A-Za-z0-9-_]*defaultDeliveryWarehouseUidstringRequiredPattern:
^[A-Za-z0-9-_]*emailstringRequired
externalIdstringRequired
isActivebooleanRequired
lastModifiedAtstring · date-timeRequired
latitudenumberRequired
longitudenumberRequired
namestringRequired
postalCodestringRequired
phonestringRequired
purchaseNumberSeriesUidstringRequiredPattern:
^[A-Za-z0-9-_]+internalPurchaseNumberSeriesUidstringRequiredPattern:
^[A-Za-z0-9-_]*rmaOrderNumberSeriesUidstringRequiredPattern:
^[A-Za-z0-9-_]*customerLedgerNumberSeriesUidstringRequiredPattern:
^[A-Za-z0-9-_]*quicksaleCategoryUidstringRequiredPattern:
^[A-Za-z0-9-_]*receiptMessagestringRequired
emailReceiptMessagestringRequired
exchangenoteMessagestringRequired
exchangenoteValidDaysintegerRequired
Number of days an exchangenote is valid.
salesPriceUidstringRequiredPattern:
^[A-Za-z0-9-_]*purchasePriceListUidstringRequiredPattern:
^[A-Za-z0-9-_]*storeUidstringRequiredPattern:
^[A-Za-z0-9-_]+vatNumberstringRequired
VAT identification number for value added tax reporting purposes.
voucherNumberSeriesUidstringRequiredPattern:
^[A-Za-z0-9-_]+serviceNumberSeriesUidstringRequiredPattern:
^[A-Za-z0-9-_]+hasWorkShopbooleanRequired
organizationUidstringRequiredPattern:
^[A-Za-z0-9-_]+websiteUrlstringRequired
invoiceFooterTextstringRequired
labelComparisonPricelistUidstringRequiredPattern:
^[A-Za-z0-9-_]*enableStoreCashReconciliationbooleanRequired
cashReconciliationCutOffTimestring · timeRequired
Daily cut-off time (e.g. 4 AM). After this time, tills cannot open until the previous settlement is complete.
logoAssetUidstringRequiredPattern:
^[A-Za-z0-9-_]*representingCustomerUidstringRequiredPattern:
^[A-Za-z0-9-_]*representingSupplierUidstringRequiredPattern:
^[A-Za-z0-9-_]*put/tenants/{tenantUid}/stores/{storeUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1280
{
"address": "text",
"city": "text",
"countryCode": "text",
"defaultReturnWarehouseUid": "text",
"defaultWarehouseUid": "text",
"defaultDeliveryWarehouseUid": "text",
"email": "text",
"externalId": "text",
"isActive": true,
"latitude": 1,
"longitude": 1,
"name": "text",
"phone": "text",
"postalCode": "text",
"purchaseNumberSeriesUid": "text",
"internalPurchaseNumberSeriesUid": "text",
"rmaOrderNumberSeriesUid": "text",
"customerLedgerNumberSeriesUid": "text",
"quicksaleCategoryUid": "text",
"receiptMessage": "text",
"emailReceiptMessage": "text",
"exchangenoteMessage": "text",
"exchangenoteValidDays": 1,
"salesPriceUid": "text",
"purchasePriceListUid": "text",
"appSettings": {
"hidePurchase": true,
"hideReceivement": true,
"enableUnlinkedPayments": true
},
"vatNumber": "text",
"voucherNumberSeriesUid": "text",
"hasWorkshop": true,
"organizationUid": "text",
"serviceNumberSeriesUid": "text",
"openingHours": {
"monday": "text",
"tuesday": "text",
"wednesday": "text",
"thursday": "text",
"friday": "text",
"saturday": "text",
"sunday": "text",
"note": "text"
},
"bankInfo": {
"accountNumber": "text",
"bankName": "text",
"iban": "text",
"swift": "text",
"giroAccountNumber": "text"
},
"websiteUrl": "text",
"invoiceFooterText": "text",
"labelComparisonPricelistUid": "text",
"enableStoreCashReconciliation": true,
"cashReconciliationCutOffTime": "00:00:00",
"logoAssetUid": "text"
}201
Example response
{
"address": "text",
"city": "text",
"countryCode": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"defaultWarehouseUid": "text",
"defaultReturnWarehouseUid": "text",
"defaultDeliveryWarehouseUid": "text",
"email": "text",
"externalId": "text",
"isActive": true,
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"latitude": 1,
"longitude": 1,
"name": "text",
"postalCode": "text",
"phone": "text",
"purchaseNumberSeriesUid": "text",
"internalPurchaseNumberSeriesUid": "text",
"rmaOrderNumberSeriesUid": "text",
"customerLedgerNumberSeriesUid": "text",
"quicksaleCategoryUid": "text",
"receiptMessage": "text",
"emailReceiptMessage": "text",
"exchangenoteMessage": "text",
"exchangenoteValidDays": 1,
"salesPriceUid": "text",
"purchasePriceListUid": "text",
"appSettings": {
"hidePurchase": true,
"hideReceivement": true,
"enableUnlinkedPayments": true,
"requireGtinScanBeforeDeliverOut": true
},
"storeUid": "text",
"vatNumber": "text",
"voucherNumberSeriesUid": "text",
"serviceNumberSeriesUid": "text",
"hasWorkShop": true,
"organizationUid": "text",
"availableExtensions": [
{
"extensionCode": "FLOWGIFTCARD",
"name": "text"
}
],
"openingHours": {
"monday": "text",
"tuesday": "text",
"wednesday": "text",
"thursday": "text",
"friday": "text",
"saturday": "text",
"sunday": "text",
"note": "text"
},
"bankInfo": {
"accountNumber": "text",
"bankName": "text",
"iban": "text",
"swift": "text",
"giroAccountNumber": "text"
},
"websiteUrl": "text",
"invoiceFooterText": "text",
"labelComparisonPricelistUid": "text",
"addresses": [
{
"storeAddressUid": "text",
"companyName": "text",
"vatNumber": "text",
"address": "text",
"postalCode": "text",
"city": "text",
"countryCode": "text",
"email": "text",
"phone": "text",
"type": "PURCHASE_INVOICE_ADDRESS",
"default": true,
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}
],
"enableStoreCashReconciliation": true,
"cashReconciliationCutOffTime": "00:00:00",
"logoAssetUid": "text",
"representingCustomerUid": "text",
"representingSupplierUid": "text",
"fiscal": {
"locationId": "text",
"locationState": ""
}
}Last updated
Was this helpful?

